Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf
Class PDFImageHandlerXML

    java.lang.Object
      org.apache.fop.render.pdf.PDFImageHandlerXML

All Implemented Interfaces:
  ImageHandlerBase, PDFImageHandler

public class PDFImageHandlerXML
extends java.lang.Object
implements PDFImageHandler

PDFImageHandler implementation which handles XML-based images.

Constructor Summary
`PDFImageHandlerXML()`

Method Summary
`PDFXObject` | `generateImage(RendererContext context, org.apache.xmlgraphics.image.loader.Image image, java.awt.Point origin, java.awt.Rectangle pos)` Generates the PDF objects for the given `Image` instance. If the handler generates an XObject, it shall return it or otherwise return null. A generated XObject shall be placed in the current viewport according to the two parameters "origin" and "pos".
`int` | `getPriority()` Returns the priority for this image handler. A lower value means higher priority. This information is used to build the ordered/prioritized list of supported ImageFlavors. The built-in handlers use priorities between 100 and 999.
`java.lang.Class` | `getSupportedImageClass()` Returns the `Class` subclass supported by this instance.
`org.apache.xmlgraphics.image.loader.ImageFlavor[]` | `getSupportedImageFlavors()` Returns the `ImageFlavor`s supported by this instance

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFImageHandlerXML

    public PDFImageHandlerXML()

Method Detail

### generateImage

    public PDFXObject generateImage(RendererContext context,
                                    org.apache.xmlgraphics.image.loader.Image image,
                                    java.awt.Point origin,
                                    java.awt.Rectangle pos)
                             throws java.io.IOException

  Generates the PDF objects for the given `Image` instance. If the handler generates an XObject, it shall return it or otherwise return null. A generated XObject shall be placed in the current viewport according to the two parameters "origin" and "pos".

  Specified by:
    `generateImage` in interface `PDFImageHandler`
  Parameters:
    `context` - the PDF renderer context
    `image` - the image to be handled
    `origin` - the current position in the current viewport (in millipoints)
    `pos` - the position and scaling of the image relative to the origin point (in millipoints)
  Returns:
    the generated XObject or null if no XObject was generated
  Throws:
    `java.io.IOException` - if an I/O error occurs

### getPriority

    public int getPriority()

  Returns the priority for this image handler. A lower value means higher priority. This information is used to build the ordered/prioritized list of supported ImageFlavors. The built-in handlers use priorities between 100 and 999.

  Specified by:
    `getPriority` in interface `ImageHandlerBase`
  Returns:
    a positive integer (>0) indicating the priority

### getSupportedImageClass

    public java.lang.Class getSupportedImageClass()

  Returns the `Class` subclass supported by this instance.

  Specified by:
    `getSupportedImageClass` in interface `ImageHandlerBase`
  Returns:
    the image Class type

### getSupportedImageFlavors

    public org.apache.xmlgraphics.image.loader.ImageFlavor[] getSupportedImageFlavors()

  Returns the `ImageFlavor`s supported by this instance

  Specified by:
    `getSupportedImageFlavors` in interface `ImageHandlerBase`
  Returns:
    the supported image flavors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.